<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;query>&lt;id>3&lt;/id>&lt;visibility>user&lt;/visibility>&lt;description>342348927u489 743289 732984732984732894 723894 7328947 293874 329&lt;/description>&lt;filters>&lt;filter>&lt;key>versionedAttribute.Zeitreihen.ABL.Name&lt;/key>&lt;operator>=&lt;/operator>&lt;value/>&lt;/filter>&lt;/filters>&lt;/query>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">VAM_am_063_hooking</Property>
		<Property name="ISServerName">dev03.virtimo.net</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="ISInvokingWorkflow">VAM_am_060_query</Property>
		<Property name="ISModuleId">3</Property>
		<Property name="ISGlobalProcessId">9478535</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_057_updateQuery</Property>
		<Property name="ISCurrentTime">1498214927904</Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISProcessId">9478535</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleName">VAM_am_assign</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;parameters>&lt;query>&lt;id>3&lt;/id>&lt;visibility>user&lt;/visibility>&lt;description>neuer Filter&lt;/description>&lt;filters>&lt;filter>&lt;key>versionedAttribute.Zeitreihen.ABL.Name&lt;/key>&lt;operator>=&lt;/operator>&lt;value/>&lt;/filter>&lt;/filters>&lt;/query>&lt;return>true&lt;/return>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1498214927880&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api> 
    &lt;database>&lt;type>mssql&lt;/type&gt; 
        
        
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>false&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>false&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT0H1M0S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress> 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend> 
  &lt;/api>&lt;am>&lt;database>&lt;type>mssql&lt;/type> 
        
        
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database> 
      
      
    &lt;entity> 
      &lt;validate>false&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_EAA&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>VAM_organization_FPM&lt;/role>&lt;role>VAM_organization_mcs&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_wpm&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context&gt;&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method&gt;getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>showcase&lt;/id>&lt;displayName>showcase&lt;/displayName>&lt;name/>&lt;configuration>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;overviews>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>12&lt;/templateId>&lt;templateName>Zählpunkte&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Zählpunkte&lt;/de>&lt;en>Zählpunkte&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Zählpunkte&lt;/de>&lt;en>Zählpunkte&lt;/en>&lt;/tabTitle>&lt;displayNameColumnHidden>true&lt;/displayNameColumnHidden>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;/overview>&lt;/overviews>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations&gt;&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">  
  &lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:variable name="var.currentDateTime" select="am:currentDateTimeForDB()"/>

  &lt;xsl:template match="/">
    
    &lt;queries>&lt;query properties="force" queryID="query">
        &lt;value>  update queries SET 
    displayName = 
    &lt;xsl:variable name="var.displayName" select="/body/query/description"/>&lt;xsl:value-of select="am:stringToDB(if ($var.displayName != '') then $var.displayName else concat ('Query ', /body/query/id))"/>, visibility =     &lt;xsl:choose>
      &lt;xsl:when test="/body/query/visibility/text() = 'organization'">'o',&lt;/xsl:when>
      &lt;xsl:when test="/body/query/visibility/text() = 'system'">'s',&lt;/xsl:when>
      &lt;xsl:when test="/body/query/visibility/text() = 'user'">'u',&lt;/xsl:when>
    &lt;/xsl:choose>   description = &lt;xsl:value-of select="am:stringToDB(/body/query/description)"/>,
  filters = &lt;xsl:value-of select="am:nodeToDB(/body/query/filters)"/>,     lastUpdatedOn = &lt;xsl:value-of select="am:timestampToDB( $var.currentDateTime)"/>,
  lastUpdatedByUserId = &lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>,
  ctxDummy = ' '

  where id = &lt;xsl:value-of select="am:numberToDB(/body/query/id)"/>   and organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
  and deleted = '0'
  and (
    visibility = 'o' or
    lastUpdatedByUserId = &lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>   )&lt;/value>
      &lt;/query>
      
    &lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>